Subject: bug#13740: closed (Re: bug#13740: About a coding convention)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Aug 2020 11:24:02 +0000

Your bug report

#13740: About a coding convention

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13740: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13740
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13740: About a coding convention
From: Stefan Kangas <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: Xue Fuqiao <[email-masked]>, [email-masked]
Date: Fri, 7 Aug 2020 04:23:22 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris <[email-masked]> writes:

> Xue Fuqiao wrote:
>
>> Constructs that define a function or variable should be macros, not
>> functions, and their names should start with `define-', except for
>> some macros in `cl-lib', like `cl-defsubst' and `cl-defun'.
>
> I don't think it is useful to list pre-existing exceptions to a general
> guideline.

Agreed.  Since no one else has voiced an opinion, I'm therefore closing
this bug report.

Best regards,
Stefan Kangas

Subject: About a coding convention
From: Xue Fuqiao <[email-masked]>
To: [email-masked]
Date: Mon, 18 Feb 2013 08:25:15 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

In (info "(elisp) Coding Conventions"):

   * Constructs that define a function or variable should be macros,
     not functions, and their names should start with `define-'.  The
     macro should receive the name to be defined as the first argument.
     That will help various tools find the definition automatically.
     Avoid constructing the names in the macro itself, since that would
     confuse these tools.

I think macros like `cl-defsubst', `cl-defun' should be mentioned here.

-- 
Best regards, Xue Fuqiao.
http://www.emacswiki.org/emacs/XueFuqiao